Method: projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms.list

List all AlphaEvolvePrograms in a given experiment that follow the criteria provided in the request.

HTTP request

GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}/alphaEvolvePrograms

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name (AlphaEvolveExperiment) of the experiment. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}/alphaEvolveExperiments/{alphaEvolveExperiment}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of programs to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous alphaEvolvePrograms.list call. Provide this to retrieve the subsequent page.

orderBy

string

Optional. Sorting criterion for the programs. Comma separated list of metrics to sort by and optionally sort order, e.g. "score1 desc, score2". The criteria are applied in the order listed in the field. An implicit criterion of sorting by createTime descending is always applied as the final tie-breaker after all other specified criteria.

stateFilter

enum (ProgramState)

Optional. Filter to apply to the programs. Examples: "stateFilter = 'COMPLETED'" "stateFilter = 'INITIALIZED' OR "stateFilter = 'EVALUATING'"

If empty, the behavior defaults to listing programs in REGISTRATION_COMPLETE state or processing state is NULL.

Request body

The request body must be empty.

Response body

Response message for AlphaEvolveService.ListAlphaEvolvePrograms.

If successful, the response body contains data with the following structure:

JSON representation
{
  "alphaEvolvePrograms": [
    {
      object (AlphaEvolveProgram)
    }
  ],
  "nextPageToken": string
}
Fields
alphaEvolvePrograms[]

object (AlphaEvolveProgram)

Output only. List of programs matching the criteria provided in the request.

nextPageToken

string

Output only. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.